Bug 1622665 - clang-scan report: glusterfs issues
Summary: clang-scan report: glusterfs issues
Keywords:
Status: POST
Alias: None
Product: GlusterFS
Classification: Community
Component: build
Version: mainline
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: bugs@gluster.org
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-08-27 17:21 UTC by Amar Tumballi
Modified: 2019-07-01 12:29 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-10-23 15:18:02 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Gluster.org Gerrit 21291 None Abandoned cluster/ec: NULL pointer deferencing clang fix 2019-02-06 19:37:22 UTC
Gluster.org Gerrit 21344 None Open cluster/dht: NULL pointer dereferencing clang fix 2018-10-31 09:42:53 UTC
Gluster.org Gerrit 21467 None Open glusterfsd: NULL pointer dereferencing clang fix 2018-11-20 03:15:09 UTC
Gluster.org Gerrit 21468 None Open rpc-transport/socket: NULL pointer dereferencing clang fix 2018-10-30 05:08:34 UTC
Gluster.org Gerrit 21755 None Open clang: Fix clang warnings in snapview-server.c 2018-11-30 04:55:00 UTC
Gluster.org Gerrit 21769 None Open rpc-transport/socket: NULL pointer dereferencing clang fix 2018-12-05 14:13:57 UTC
Gluster.org Gerrit 21770 None Open clang: Fix io-stats.c NULL pointer issue reported by clang 2018-12-03 05:47:55 UTC
Gluster.org Gerrit 21795 None Merged fix 32-bit-build-smoke warnings 2019-01-11 18:26:03 UTC
Gluster.org Gerrit 21840 None Open cli: variable-length array declaration clang fix 2018-12-14 04:39:13 UTC
Gluster.org Gerrit 21842 None Abandoned core: fix null pointer dereference of 'refcount' 2019-03-13 19:30:54 UTC
Gluster.org Gerrit 21851 None Open clang: Fix various missing checks for empty list 2018-12-14 04:34:03 UTC
Gluster.org Gerrit 21853 None Open cluster/ec: NULL pointer deferencing clang fix 2018-12-14 04:34:34 UTC
Gluster.org Gerrit 21869 None Open dht: Fix clang warnings in dht-common.c 2018-12-16 03:20:59 UTC
Gluster.org Gerrit 21880 None Open rdma: fix possible buffer overflow 2018-12-19 11:25:32 UTC
Gluster.org Gerrit 21918 None Abandoned fix python-lint warnings 2019-05-13 19:30:31 UTC
Gluster.org Gerrit 21919 None Open mgmt/glusterd: fix clang warning 2018-12-29 02:52:10 UTC
Gluster.org Gerrit 21953 None Open glusterd: NULL pointer dereferencing clang fix 2018-12-29 02:53:04 UTC
Gluster.org Gerrit 21954 None Open multiple-files: clang-scan fixes 2018-12-31 06:45:51 UTC
Gluster.org Gerrit 22775 None Open across: clang-scan: fix NULL dereferencing warnings 2019-06-04 10:32:30 UTC
Gluster.org Gerrit 22863 None Open clang-scan: resolve warning 2019-06-15 03:56:53 UTC
Gluster.org Gerrit 22959 None Open glusterd: fix clang scan defects 2019-07-01 12:29:40 UTC

Description Amar Tumballi 2018-08-27 17:21:25 UTC
Description of problem:

We have a daily job which analyzes the GlusterFS source code, and the results are posted @ https://build.gluster.org/job/clang-scan/437/clangScanBuildBugs/

Note that daily results are different, and hence, recommend looking at https://build.gluster.org/job/clang-scan/ & pick the latest from the jobs. (Above, 437 is the latest job number, and can change when you look at the bug).

Goal is to keep it as close to 0, and as of now, we have 151 issues.

Plan is to keep refreshing the list of known clang-scan issues in the spreadsheet below, every 15 days: 

https://docs.google.com/spreadsheets/d/1Wmx3C5IhZ89X_mITGQIbWZUtiXWN_taEZmRyI6WM5r0/edit?usp=sharing

One can add their name in the Owner field and solve the issues, so that there is no duplicate efforts.

Version-Release number of selected component (if applicable):
master branch


Actual results:
151 issues reported

Expected results:
130 - 1st Sept
~50 - 1st Oct
~0 - 1st Nov

Comment 1 Amar Tumballi 2018-08-27 17:22:41 UTC
Update: The valid URL all the time is: https://build.gluster.org/job/clang-scan/lastCompletedBuild/clangScanBuildBugs/

Comment 2 Worker Ant 2018-08-28 09:10:25 UTC
REVIEW: https://review.gluster.org/21025 (clang-scan: fix multiple issues) posted (#1) for review on master by Amar Tumballi

Comment 3 Worker Ant 2018-08-31 01:26:36 UTC
COMMIT: https://review.gluster.org/21025 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- clang-scan: fix multiple issues

* Buffer overflow issue in glusterfsd
* Null argument passed to function expecting non-null (event-epoll)
* Make sure the op_ret value is set in macro (posix)

Updates: bz#1622665

Change-Id: I32b378fc40a5e3ee800c0dfbc13335d44c9db9ac
Signed-off-by: Amar Tumballi <amarts@redhat.com>

Comment 4 Worker Ant 2018-09-10 06:17:34 UTC
REVIEW: https://review.gluster.org/21129 (Resolving the issue of Dereferencing a Null pointer) posted (#1) for review on master by

Comment 5 Worker Ant 2018-09-10 12:34:01 UTC
REVIEW: https://review.gluster.org/21134 (glusterd: NULL pointer dereferencing clang fix) posted (#5) for review on master by Sheetal Pamecha

Comment 6 Worker Ant 2018-09-10 14:28:22 UTC
REVIEW: https://review.gluster.org/21143 (glusterd: NULL pointer dereferencing clang fix) posted (#1) for review on master by Shwetha K Acharya

Comment 7 Worker Ant 2018-09-11 02:27:21 UTC
COMMIT: https://review.gluster.org/21134 committed in master by "Atin Mukherjee" <amukherj@redhat.com> with a commit message- glusterd: NULL pointer dereferencing clang fix

Added ternary operator to avoid NULL pointer dereferencing

Updates: bz#1622665

Change-Id: I4b970176b6b555c2eda1da2848c493e45b1e4217
Signed-off-by: Sheetal Pamecha <sheetal.pamecha08@gmail.com>

Comment 8 Worker Ant 2018-09-11 05:58:34 UTC
COMMIT: https://review.gluster.org/21129 committed in master by "Atin Mukherjee" <amukherj@redhat.com> with a commit message- glusterd: NULL pointer dereferencing clang fix

problem: NULL point dereferencing

solution: Adding a conditional statement before and then dereferencing it.

Updates: bz#1622665

Change-Id: I562ca90aebf2a4882cfea10114a90364d9ef1996
Signed-off-by: Harpreet Lalwani <hlalwani@redhat.com>

Comment 9 Worker Ant 2018-09-11 17:37:48 UTC
REVIEW: https://review.gluster.org/21156 (glusterd: NULL pointer dereferencing clang Fix) posted (#1) for review on master by Harpreet Kaur Lalwani

Comment 10 Worker Ant 2018-09-17 12:09:32 UTC
COMMIT: https://review.gluster.org/21156 committed in master by "Atin Mukherjee" <amukherj@redhat.com> with a commit message- glusterd: NULL pointer dereferencing clang Fix

Added ternary operator to avoid NULL pointer dereferencing

Updates: bz#1622665

Change-Id: I855f6caf720b28af1564898d75c6c965bcc58c5c
Signed-off-by: Harpreet Lalwani <hlalwani@redhat.com>

Comment 11 Worker Ant 2018-09-17 12:23:45 UTC
COMMIT: https://review.gluster.org/21143 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- protocol/server: NULL pointer dereferencing clang fix

Problem: Access to field fop_length results in null pointer dereferencing.

Solution: Added condition checks fix the issue.

Change-Id: Id408e3ac62ea9574f0cd9aecce5434add09eb7d0
Updates: bz#1622665
Signed-off-by: Shwetha K Acharya <sacharya@redhat.com>

Comment 12 Worker Ant 2018-09-18 07:12:17 UTC
REVIEW: https://review.gluster.org/21199 (glusterd: NULL pointer dereferencing clang Fix) posted (#1) for review on master by Harpreet Kaur Lalwani

Comment 13 Worker Ant 2018-09-18 10:31:55 UTC
REVIEW: https://review.gluster.org/21204 (nfs3: NULL pointer dereferencing clang fix) posted (#1) for review on master by Shwetha K Acharya

Comment 14 Worker Ant 2018-09-18 10:33:10 UTC
REVIEW: https://review.gluster.org/21205 (inode: NULL pointer dereferencing clang fix) posted (#1) for review on master by Iraj Jamali

Comment 15 Worker Ant 2018-09-18 11:38:38 UTC
REVIEW: https://review.gluster.org/21207 (ctr: NULL pointer dereferencing clang fix) posted (#1) for review on master by Sheetal Pamecha

Comment 16 Worker Ant 2018-09-19 15:06:49 UTC
COMMIT: https://review.gluster.org/21205 committed in master by "Niels de Vos" <ndevos@redhat.com> with a commit message- libglusterfs: NULL pointer dereferencing clang fix

Problem: trav could be NULL.

Solution: Adding a check to avoid clang error.

Updates: bz#1622665

Change-Id: If26be82edea5e33c2356cea3769496f1cbd3774c
Signed-off-by: Iraj Jamali <ijamali@redhat.com>

Comment 17 Worker Ant 2018-09-20 14:12:18 UTC
COMMIT: https://review.gluster.org/21199 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- Quota: NULL pointer dereferencing clang Fix

Added ternary operator to avoid NULL pointer dereferencing

Updates: bz#1622665

Change-Id: I903ec1973fd4bb6473d16e2680bd86ac3a20e093
Signed-off-by: Harpreet Lalwani <hlalwani@redhat.com>

Comment 18 Worker Ant 2018-09-21 05:17:21 UTC
COMMIT: https://review.gluster.org/21204 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- nfs/server: NULL pointer dereferencing clang fix

Added some condition checks in nfs3.c and nlm4.c
Updates: bz#1622665
Change-Id: Ia10b8fff14f651df1360c9bb79d4476b282f54b5
Signed-off-by: Shwetha Acharya <sacharya@redhat.com>

Comment 19 Worker Ant 2018-09-21 05:17:48 UTC
COMMIT: https://review.gluster.org/21207 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- ctr: NULL pointer dereferencing clang fix

Replaced this->name with "ctr"

Updates: bz#1622665

Change-Id: I49af42a5d77c98ffb34224c8800757b8986012ea
Signed-off-by: Sheetal Pamecha <sheetal.pamecha08@gmail.com>

Comment 20 Worker Ant 2018-09-24 09:42:49 UTC
REVIEW: https://review.gluster.org/21255 (mgmt/glusterd: NULL pointer dereferencing clang fix) posted (#1) for review on master by Shwetha K Acharya

Comment 21 Worker Ant 2018-09-24 09:53:38 UTC
REVIEW: https://review.gluster.org/21257 (features/locks: NULL pointer deferencing clang fix) posted (#1) for review on master by Iraj Jamali

Comment 22 Worker Ant 2018-09-24 09:55:51 UTC
REVIEW: https://review.gluster.org/21258 (features/compress: NULL pointer dereferencing clang fix) posted (#1) for review on master by Harpreet Kaur Lalwani

Comment 23 Worker Ant 2018-09-24 11:37:51 UTC
REVIEW: https://review.gluster.org/21260 (cluster/ec: variable-length array (VLA) declaration clang fix) posted (#1) for review on master by Sheetal Pamecha

Comment 24 Worker Ant 2018-09-24 12:16:45 UTC
REVIEW: https://review.gluster.org/21261 (mgmt/glusterd: NULL pointer dereferencing clang fix) posted (#1) for review on master by Iraj Jamali

Comment 25 Worker Ant 2018-09-25 08:28:41 UTC
REVIEW: https://review.gluster.org/21273 (dht: Coverity fixes) posted (#1) for review on master by Harpreet Kaur Lalwani

Comment 26 Worker Ant 2018-09-25 11:40:52 UTC
REVIEW: https://review.gluster.org/21275 (cluster/ec: NULL pointer deferencing clang fix) posted (#1) for review on master by Sheetal Pamecha

Comment 27 Worker Ant 2018-09-25 11:50:32 UTC
REVIEW: https://review.gluster.org/21274 (mgmt/glusterd: NULL pointer deferencing clang fix) posted (#3) for review on master by Iraj Jamali

Comment 28 Worker Ant 2018-09-25 15:24:44 UTC
COMMIT: https://review.gluster.org/21255 committed in master by "Atin Mukherjee" <amukherj@redhat.com> with a commit message- mgmt/glusterd: NULL pointer dereferencing clang fix

Added a condition check to resolve the issue

Change-Id: I1954e91f7487c052caf5cf98c954d204242f0af9
Updates: bz#1622665
Signed-off-by: Shwetha Acharya <sacharya@redhat.com>

Comment 29 Worker Ant 2018-09-26 04:12:20 UTC
COMMIT: https://review.gluster.org/21257 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- features/locks: NULL pointer deferencing clang fix

Added checks to avoid NULL pointer dereferencing

Updates: bz#1622665

Change-Id: I8e441c2931f406a6012e418127550bdf454a599a
Signed-off-by: Iraj Jamali <ijamali@redhat.com>

Comment 30 Worker Ant 2018-09-26 04:12:56 UTC
COMMIT: https://review.gluster.org/21260 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- cluster/ec: variable-length array (VLA) declaration clang fix

Problem: variable-length array size becomes zero

Modified array size to size+1 while declaring

Updates: bz#1622665

Change-Id: I98ee8447c87f37c36c49f50058292e8c1757a1f9
Signed-off-by: Sheetal Pamecha <sheetal.pamecha08@gmail.com>

Comment 31 Worker Ant 2018-09-27 12:08:48 UTC
REVIEW: https://review.gluster.org/21291 (cluster/ec: NULL pointer deferencing clang fix) posted (#1) for review on master by Sheetal Pamecha

Comment 32 Worker Ant 2018-09-28 06:36:29 UTC
REVIEW: https://review.gluster.org/21293 (nfs/server: NULL pointer dereferencing clang fix) posted (#1) for review on master by Iraj Jamali

Comment 33 Worker Ant 2018-10-01 12:58:42 UTC
REVIEW: https://review.gluster.org/21310 (features/bit-rot: NULL pointer deferencing clang fix) posted (#1) for review on master by Sheetal Pamecha

Comment 34 Worker Ant 2018-10-01 12:59:16 UTC
REVIEW: https://review.gluster.org/21311 (mgmt/glusterd: NULL pointer dereferencing clang fix) posted (#1) for review on master by Shwetha K Acharya

Comment 35 Worker Ant 2018-10-02 14:01:24 UTC
COMMIT: https://review.gluster.org/21274 committed in master by "Atin Mukherjee" <amukherj@redhat.com> with a commit message- mgmt/glusterd: NULL pointer deferencing clang fix

Changed this->name to "glusterd"

Updates: bz#1622665

Change-Id: Ic8ce428cefd6a5cecf5547769d8b13f530065c56
Signed-off-by: Iraj Jamali <ijamali@redhat.com>

Comment 36 Worker Ant 2018-10-03 11:58:55 UTC
REVIEW: https://review.gluster.org/21261 (mgmt/glusterd: NULL pointer dereferencing clang fix) posted (#4) for review on master by Atin Mukherjee

Comment 37 Worker Ant 2018-10-04 09:06:58 UTC
REVIEW: https://review.gluster.org/21342 (libglusterfs: NULL pointer dereferencing clang fix) posted (#1) for review on master by Iraj Jamali

Comment 38 Worker Ant 2018-10-04 11:05:04 UTC
REVIEW: https://review.gluster.org/21344 (cluster/dht: NULL pointer dereferencing clang fix) posted (#1) for review on master by Harpreet Kaur Lalwani

Comment 39 Worker Ant 2018-10-05 00:11:10 UTC
REVIEW: https://review.gluster.org/21258 (features/compress: NULL pointer dereferencing clang fix) posted (#6) for review on master by Amar Tumballi

Comment 40 Worker Ant 2018-10-08 04:58:30 UTC
COMMIT: https://review.gluster.org/21310 committed in master by "Kotresh HR" <khiremat@redhat.com> with a commit message- features/bit-rot: NULL pointer deferencing clang fix

Problem: local could be NULL

Added condition checks to address this issue

Updates: bz#1622665

Change-Id: I7be7dacc5386a77441385240b43f22d85074b69d
Signed-off-by: Sheetal Pamecha <sheetal.pamecha08@gmail.com>

Comment 41 Worker Ant 2018-10-08 11:08:07 UTC
REVIEW: https://review.gluster.org/21365 (rpc/rpc-lib: Uninitialized argument value of a function) posted (#1) for review on master by Harpreet Kaur Lalwani

Comment 42 Worker Ant 2018-10-09 06:52:56 UTC
REVIEW: https://review.gluster.org/21369 (Argument with 'nonnull' attribute passed null) posted (#1) for review on master by Iraj Jamali

Comment 43 Worker Ant 2018-10-10 07:04:07 UTC
REVIEW: https://review.gluster.org/21381 (mgmt/glusterd: clang fix) posted (#1) for review on master by Iraj Jamali

Comment 44 Worker Ant 2018-10-10 10:19:09 UTC
COMMIT: https://review.gluster.org/21342 committed in master by "Niels de Vos" <ndevos@redhat.com> with a commit message- libglusterfs: NULL pointer dereferencing clang fix

Avoided NULL pointer dereferencing by doing GF_VALIDATE_OR_GOTO for rvec

Updates: bz#1622665

Change-Id: I650e0203796dd705d79060f9506fc6c559b30f56
Signed-off-by: Iraj Jamali <ijamali@redhat.com>

Comment 45 Worker Ant 2018-10-11 09:57:53 UTC
REVIEW: https://review.gluster.org/21393 (performance/write-behind: NULL pointer passed to a nonnull parameter) posted (#1) for review on master by Shwetha K Acharya

Comment 46 Worker Ant 2018-10-11 12:28:12 UTC
REVIEW: https://review.gluster.org/21395 (libglusterfs: fix log message in options.c) posted (#1) for review on master by Sheetal Pamecha

Comment 47 Worker Ant 2018-10-12 02:11:37 UTC
COMMIT: https://review.gluster.org/21393 committed in master by "Shwetha K Acharya" <shwetha174@gmail.com> with a commit message- performance/write-behind: NULL pointer passed to a nonnull parameter

Problem: wb_directory_inode->lock can be null.

Solution: added a condition, if(!wb_directory_inode->lock.spinlock)
to address the issue (checked one of the attributes of union lock
to ensure that union is not null).

Updates: bz#1622665
Change-Id: I0749ee16aa2c23f51d4b4c7b0979d494bcd4d90e
Signed-off-by: Shwetha Acharya <sacharya@redhat.com>

Comment 48 Worker Ant 2018-10-12 03:14:46 UTC
COMMIT: https://review.gluster.org/21311 committed in master by "Atin Mukherjee" <amukherj@redhat.com> with a commit message- mgmt/glusterd: NULL pointer dereferencing clang fix

Problem: dereferencing of this->name; volinfo and xl
can be null.

Solution: Replaced this->name with apropriate names in few places,
added a null check to avoid dereferencing of volinfo,
and introduced a goto out statement, such that null pointer value is
not passed to the function volgen_xlator_link when xl becomes NULL.

Updates: bz#1622665

Change-Id: I77616bd23f58328cb6dbe681914a028991d49abb
Signed-off-by: Shwetha Acharya <sacharya@redhat.com>

Comment 49 Worker Ant 2018-10-12 03:18:02 UTC
COMMIT: https://review.gluster.org/21381 committed in master by "Atin Mukherjee" <amukherj@redhat.com> with a commit message- mgmt/glusterd: clang fix

Argument with 'nonnull' attribute passed null.

Added checks to avoid the issues.

Updates: bz#1622665

Change-Id: I0dba1185cee5baba3c124d687560a06fe182381e
Signed-off-by: Iraj Jamali <ijamali@redhat.com>

Comment 50 Worker Ant 2018-10-12 05:15:29 UTC
REVISION POSTED: https://review.gluster.org/21395 (libglusterfs: fix log message in options.c) posted (#3) for review on master by Sheetal Pamecha

Comment 51 Worker Ant 2018-10-12 05:41:30 UTC
COMMIT: https://review.gluster.org/21369 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- performance/nl-cache: clang fix

Argument with 'nonnull' attribute passed null.

Adding a check to avoid the issue.

Updates: bz#1622665

Change-Id: I1d3a166e154a51da59bebb93a49f5174e593c98e
Signed-off-by: Iraj Jamali <ijamali@redhat.com>

Comment 52 Worker Ant 2018-10-19 08:04:39 UTC
COMMIT: https://review.gluster.org/21275 committed in master by "Xavi Hernandez" <xhernandez@redhat.com> with a commit message- cluster/ec: NULL pointer deferencing clang fix

Removing VALIDATE_OR_GOTO check on "this"

Updates: bz#1622665

Change-Id: Ic7cffbb697da814f835d0ad46e25256da6afb406
Signed-off-by: Sheetal Pamecha <sheetal.pamecha08@gmail.com>

Comment 53 Worker Ant 2018-10-23 08:04:29 UTC
COMMIT: https://review.gluster.org/21365 committed in master by "Raghavendra G" <rgowdapp@redhat.com> with a commit message- rpc/rpc-lib: Uninitialized argument value of a function

trav->saved_at.tv_sec is not initialized.

Calling "list_empty" function before initializing "trav".

Updates: bz#1622665

Change-Id: Ib5c2703a07a9c56ccd115001aca500f7a23c4a2e
Signed-off-by: Harpreet Lalwani <hlalwani@redhat.com>

Comment 54 Worker Ant 2018-10-23 13:02:42 UTC
REVIEW: https://review.gluster.org/21466 (posix: Null pointer dereferencing clang fix) posted (#1) for review on master by Harpreet Kaur Lalwani

Comment 55 Worker Ant 2018-10-23 13:03:47 UTC
REVIEW: https://review.gluster.org/21467 (glusterfsd: NULL pointer dereferencing clang fix) posted (#1) for review on master by Iraj Jamali

Comment 56 Worker Ant 2018-10-23 13:12:07 UTC
REVIEW: https://review.gluster.org/21468 (rpc-transport/socket: NULL pointer dereferencing clang fix) posted (#1) for review on master by Shwetha K Acharya

Comment 57 Shyamsundar 2018-10-23 15:18:02 UTC
This bug is getting closed because a release has been made available that should address the reported issue. In case the problem is still not fixed with glusterfs-5.0, please open a new bug report.

glusterfs-5.0 has been announced on the Gluster mailinglists [1], packages for several distributions should become available in the near future. Keep an eye on the Gluster Users mailinglist [2] and the update infrastructure for your distribution.

[1] https://lists.gluster.org/pipermail/announce/2018-October/000115.html
[2] https://www.gluster.org/pipermail/gluster-users/

Comment 58 Worker Ant 2018-10-25 05:36:00 UTC
COMMIT: https://review.gluster.org/21469 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- features/namespace: NULL pointer deferencing clang fix

Removed VALIDATE_OR_GOTO check on "this"

Updates: bz#1622665

Change-Id: Ie0d74525901ebf9daa1a5e788a035db6dc5d8c06
Signed-off-by: Sheetal Pamecha <sheetal.pamecha08@gmail.com>

Comment 59 Worker Ant 2018-10-25 14:25:18 UTC
REVIEW: https://review.gluster.org/21493 (statedump: fix clang null dereference error) posted (#1) for review on master by Amar Tumballi

Comment 60 Worker Ant 2018-10-26 02:55:33 UTC
COMMIT: https://review.gluster.org/21493 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- statedump: fix clang null dereference error

ctx->active can be null, and is checked elsewhere in the
same function. In another case, where 'ctx->active' gets
dereferenced, it needs to be validated before the loop
is hit.

Updates: bz#1622665
Change-Id: I4ec917e96c0756586fc7a74c76848bb9589a0293
Signed-off-by: Amar Tumballi <amarts@redhat.com>

Comment 61 Worker Ant 2018-10-26 02:56:43 UTC
COMMIT: https://review.gluster.org/21466 committed in master by "Amar Tumballi" <amarts@redhat.com> with a commit message- posix: Null pointer dereferencing clang fix

Added a check for "top"

Updates: bz#1622665

Change-Id: I354fdc7150b2f1eb452702ddb653e2d6ed609c10
Signed-off-by: Harpreet Lalwani <hlalwani@redhat.com>

Comment 62 Worker Ant 2018-10-30 05:08:33 UTC
REVIEW: https://review.gluster.org/21468 (rpc-transport/socket: NULL pointer dereferencing clang fix) posted (#2) for review on master by Amar Tumballi

Comment 63 Worker Ant 2018-10-31 09:42:52 UTC
REVIEW: https://review.gluster.org/21344 (cluster/dht: NULL pointer dereferencing clang fix) posted (#8) for review on master by N Balachandran

Comment 64 Worker Ant 2018-11-20 03:15:07 UTC
REVIEW: https://review.gluster.org/21467 (glusterfsd: NULL pointer dereferencing clang fix) posted (#2) for review on master by Amar Tumballi

Comment 65 Worker Ant 2018-11-29 20:43:30 UTC
REVIEW: https://review.gluster.org/21755 (clang: Fix clang warnings in snapview-server.c) posted (#1) for review on master by Shyamsundar Ranganathan

Comment 66 Worker Ant 2018-11-30 04:54:59 UTC
REVIEW: https://review.gluster.org/21755 (clang: Fix clang warnings in snapview-server.c) posted (#1) for review on master by Shyamsundar Ranganathan

Comment 67 Worker Ant 2018-11-30 16:47:53 UTC
REVIEW: https://review.gluster.org/21769 (rpc-transport/socket: NULL pointer dereferencing clang fix) posted (#1) for review on master by Sheetal Pamecha

Comment 68 Worker Ant 2018-11-30 17:02:54 UTC
REVIEW: https://review.gluster.org/21770 (clang: Fix io-stats.c NULL pointer issue reported by clang) posted (#1) for review on master by Shyamsundar Ranganathan

Comment 69 Worker Ant 2018-12-03 05:47:54 UTC
REVIEW: https://review.gluster.org/21770 (clang: Fix io-stats.c NULL pointer issue reported by clang) posted (#2) for review on master by Amar Tumballi

Comment 70 Worker Ant 2018-12-04 12:24:45 UTC
REVIEW: https://review.gluster.org/21795 (libglusterfs: fix 32-bit-build-smoke warnings) posted (#1) for review on master by Iraj Jamali

Comment 71 Worker Ant 2018-12-05 14:13:56 UTC
REVIEW: https://review.gluster.org/21769 (rpc-transport/socket: NULL pointer dereferencing clang fix) posted (#4) for review on master by Amar Tumballi

Comment 72 Worker Ant 2018-12-11 11:04:23 UTC
REVIEW: https://review.gluster.org/21842 (core: fix null pointer dereference of 'refcount') posted (#1) for review on master by Rinku Kothiya

Comment 73 Worker Ant 2018-12-11 11:07:22 UTC
REVIEW: https://review.gluster.org/21840 (cli: variable-length array declaration clang fix) posted (#1) for review on master by Sheetal Pamecha

Comment 74 Worker Ant 2018-12-12 21:52:42 UTC
REVIEW: https://review.gluster.org/21851 (clang: Fix various missing checks for empty list) posted (#1) for review on master by Shyamsundar Ranganathan

Comment 75 Worker Ant 2018-12-13 12:25:16 UTC
REVIEW: https://review.gluster.org/21853 (cluster/ec: NULL pointer deferencing clang fix) posted (#1) for review on master by Sheetal Pamecha

Comment 76 Worker Ant 2018-12-14 04:34:02 UTC
REVIEW: https://review.gluster.org/21851 (clang: Fix various missing checks for empty list) posted (#2) for review on master by Amar Tumballi

Comment 77 Worker Ant 2018-12-14 04:34:33 UTC
REVIEW: https://review.gluster.org/21853 (cluster/ec: NULL pointer deferencing clang fix) posted (#2) for review on master by Amar Tumballi

Comment 78 Worker Ant 2018-12-14 04:39:12 UTC
REVIEW: https://review.gluster.org/21840 (cli: variable-length array declaration clang fix) posted (#7) for review on master by Amar Tumballi

Comment 79 Worker Ant 2018-12-14 21:59:24 UTC
REVIEW: https://review.gluster.org/21869 (dht: Fix clang warnings in dht-common.c) posted (#1) for review on master by Shyamsundar Ranganathan

Comment 80 Worker Ant 2018-12-16 03:20:58 UTC
REVIEW: https://review.gluster.org/21869 (dht: Fix clang warnings in dht-common.c) posted (#2) for review on master by Amar Tumballi

Comment 81 Worker Ant 2018-12-17 14:43:19 UTC
REVIEW: https://review.gluster.org/21880 (rdma: fix possible buffer overflow) posted (#1) for review on master by Rinku Kothiya

Comment 82 Worker Ant 2018-12-19 11:25:31 UTC
REVIEW: https://review.gluster.org/21880 (rdma: fix possible buffer overflow) posted (#3) for review on master by mohammed rafi  kc

Comment 83 Worker Ant 2018-12-21 09:50:41 UTC
REVIEW: https://review.gluster.org/21918 (fix python-lint warnings) posted (#1) for review on master by Sheetal Pamecha

Comment 84 Worker Ant 2018-12-21 13:27:35 UTC
REVIEW: https://review.gluster.org/21919 (mgmt/glusterd: fix clang warning) posted (#1) for review on master by Sheetal Pamecha

Comment 85 Worker Ant 2018-12-28 09:03:39 UTC
REVIEW: https://review.gluster.org/21953 (glusterd: NULL pointer dereferencing clang fix) posted (#1) for review on master by Sheetal Pamecha

Comment 86 Worker Ant 2018-12-28 11:08:22 UTC
REVIEW: https://review.gluster.org/21954 (multiple-files: clang-scan fixes) posted (#1) for review on master by Amar Tumballi

Comment 87 Worker Ant 2018-12-29 02:52:10 UTC
REVIEW: https://review.gluster.org/21919 (mgmt/glusterd: fix clang warning) posted (#3) for review on master by Amar Tumballi

Comment 88 Worker Ant 2018-12-29 02:53:04 UTC
REVIEW: https://review.gluster.org/21953 (glusterd: NULL pointer dereferencing clang fix) posted (#2) for review on master by Amar Tumballi

Comment 89 Worker Ant 2018-12-31 06:45:51 UTC
REVIEW: https://review.gluster.org/21954 (multiple-files: clang-scan fixes) posted (#3) for review on master by Amar Tumballi

Comment 90 Worker Ant 2019-01-11 18:26:03 UTC
REVIEW: https://review.gluster.org/21795 (fix 32-bit-build-smoke warnings) posted (#9) for review on master by Amar Tumballi

Comment 91 Worker Ant 2019-05-27 15:58:04 UTC
REVIEW: https://review.gluster.org/22775 (across: clang-scan: fix NULL dereferencing warnings) posted (#1) for review on master by Amar Tumballi

Comment 92 Worker Ant 2019-06-04 10:32:31 UTC
REVIEW: https://review.gluster.org/22775 (across: clang-scan: fix NULL dereferencing warnings) merged (#3) on master by Amar Tumballi

Comment 93 Worker Ant 2019-06-15 03:56:55 UTC
REVIEW: https://review.gluster.org/22863 (clang-scan: resolve warning) merged (#2) on master by Amar Tumballi

Comment 94 Worker Ant 2019-06-27 05:21:44 UTC
REVIEW: https://review.gluster.org/22959 (glusterd: fix clang scan defects) posted (#1) for review on master by Atin Mukherjee

Comment 95 Worker Ant 2019-07-01 12:29:41 UTC
REVIEW: https://review.gluster.org/22959 (glusterd: fix clang scan defects) merged (#2) on master by Amar Tumballi


Note You need to log in before you can comment on or make changes to this bug.